﻿@using DP.Common.Enums;
@using DP.Administration.Models;
@model SubscriberRating
@{ 
    List<string> excludes = new List<string>(){
                "Id",
                "UserId",
                "UserName",
                "SubscriberName",
                "ReviewedDate",
                "ClinicOrDoctorId",
                "HospitalId",
                "CollegeId",
                "YourExperience"
            };
}

@switch (Model.UserType)
{
    case UserType.Clinic:
    case UserType.Doctor:
        if (Model.ClinicRatings.Count == 0)
        {
           <h3><label class="label label-primary">No Ratings</label></h3>
        }
        else
        {

            foreach (var r in Model.ClinicRatings)
            {
                var cliProps = r.GetType().GetProperties();
                <div class="col-md-4" style="padding-bottom:10px;border-bottom:solid 1px #cacaca">
                    <h4 class="clr-blue text-left" style="font-weight:bold">@r.UserName</h4>
                    @foreach (var p in cliProps.Where(x => !excludes.Contains(x.Name)))
                    {
                        var _v = p.GetValue(r);
                        <div class="row">
                            <div class="col-md-4">
                                <h5 class="clr-blue review-param" style="line-height:1.9em">@p.Name</h5>
                            </div>
                            <div class="col-md-8">
                                <input id="rv_@p.Name" readonly="readonly" type="number" value="@_v" class="subscriber-user-rating" min=0 max=5 step=1 data-size="sm">
                            </div>
                        </div>
                    }
                </div>
            }
        }
        break;
    case UserType.Hospital:
        if (Model.HospitalRatings.Count == 0)
        {
            <h3><label class="label label-primary">No Ratings</label></h3>
        }
        else
        {

            foreach (var r in Model.HospitalRatings)
            {
                var cliProps = r.GetType().GetProperties();
                <div class="col-md-4" style="padding-bottom:10px;border-bottom:solid 1px #cacaca">
                    <h4 class="clr-blue text-left" style="font-weight:bold">@r.UserName</h4>
                    @foreach (var p in cliProps.Where(x => !excludes.Contains(x.Name)))
                    {
                        var _v = p.GetValue(r);
                        <div class="row">
                            <div class="col-md-4">
                                <h5 class="clr-blue review-param" style="line-height:1.9em">@p.Name</h5>
                            </div>
                            <div class="col-md-8">
                                <input id="rv_@p.Name" readonly="readonly" type="number" value="@_v" class="subscriber-user-rating" min=0 max=5 step=1 data-size="sm">
                            </div>
                        </div>
                    }
                </div>
            }
        }
        break;
    case UserType.College:
        if (Model.CollegeRatings.Count == 0)
        {
            <h3><label class="label label-primary">No Ratings</label></h3>
        }
        else
        {

            foreach (var r in Model.CollegeRatings)
            {
                var cliProps = r.GetType().GetProperties();
                <div class="col-md-4" style="padding-bottom:10px;border-bottom:solid 1px #cacaca">
                    <h4 class="clr-blue text-left" style="font-weight:bold">@r.UserName</h4>
                    @foreach (var p in cliProps.Where(x => !excludes.Contains(x.Name)))
                    {
                        var _v = p.GetValue(r);
                        <div class="row">
                            <div class="col-md-4">
                                <h5 class="clr-blue review-param" style="line-height:1.9em">@p.Name</h5>
                            </div>
                            <div class="col-md-8">
                                <input id="rv_@p.Name" readonly="readonly" type="number" value="@_v" class="subscriber-user-rating" min=0 max=5 step=1 data-size="sm">
                            </div>
                        </div>
                    }
                </div>
            }
        }
        break;
    case UserType.Insurance:
        if (Model.InsuranceRatings.Count == 0)
        {
            <h3><label class="label label-primary">No Ratings</label></h3>
        }
        else
        {

            foreach (var r in Model.InsuranceRatings)
            {
                var cliProps = r.GetType().GetProperties();
                <div class="col-md-4" style="padding-bottom:10px;border-bottom:solid 1px #cacaca">
                    <h4 class="clr-blue text-left" style="font-weight:bold">@r.UserName</h4>
                    @foreach (var p in cliProps.Where(x => !excludes.Contains(x.Name)))
                    {
                        var _v = p.GetValue(r);
                        <div class="row">
                            <div class="col-md-4">
                                <h5 class="clr-blue review-param" style="line-height:1.9em">@p.Name</h5>
                            </div>
                            <div class="col-md-8">
                                <input id="rv_@p.Name" readonly="readonly" type="number" value="@_v" class="subscriber-user-rating" min=0 max=5 step=1 data-size="sm">
                            </div>
                        </div>
                    }
                </div>
            }
        }
        break;
}

<script>
    $(document).ready(function () {
        $(".subscriber-user-rating").rating({
            size: 'sm',
            symbol: "\uf0c8 ",
            glyphicon: false,
            ratingClass: "rating-fa",
            showClear: false,
            showCaption: false
        });
    })
</script>